Skip to main content
`Ctrl`+`K`

# PetscDSCreate

Creates an empty `PetscDS` object. The type can then be set with `PetscDSSetType()`.

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSCreate(MPI_Comm comm, PetscDS *ds)

Collective

## Input Parameter

- comm - The communicator for the `PetscDS` object

## Output Parameter

- ds - The `PetscDS` object

## See Also

`PetscDS`, `PetscDSSetType()`, `PETSCDSBASIC`, `PetscDSType`

## Level

beginner

## Location

src/dm/dt/interface/dtds.c

## Examples

src/dm/impls/plex/tutorials/ex4f90.F90

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages